# WOKMake_StepConstructPtr.hxx File Reference

`#include <TCollection_HAsciiString.hxx>`
`#include <WOKernel_DevUnit.hxx>`
`#include <WOKMake_Step.hxx>`

## Defines

#define | WOKMake_StepConstrucPtr_HeaderFile

## Typedefs

typedef Handle() WOKMake_Step(* | WOKMake_StepConstructPtr )(const Handle(WOKMake_BuildProcess)&, const Handle(WOKernel_DevUnit)&, const Handle(TCollection_HAsciiString)&, Standard_Boolean, Standard_Boolean)

## Define Documentation

#define WOKMake_StepConstrucPtr_HeaderFile

## Typedef Documentation

typedef Handle() WOKMake_Step(* WOKMake_StepConstructPtr)(const Handle(WOKMake_BuildProcess)&, const Handle(WOKernel_DevUnit)&, const Handle(TCollection_HAsciiString)&, Standard_Boolean, Standard_Boolean)